/*
 * grp.h definitions for use with LibC for NetWare
 * a collection that was assembled during the work with
 * several projects. See BSD license.
 *
 * Ulrich Neummann, december 2001
 *
 * POSIX Standard: 9.2.1 Group Database Access <grp.h>
 *
 */

#ifndef	_GRP_H_
#define	_GRP_H_

#include <stddef.h>

/* The group structure.	 */
typedef struct group
  {
    char *gr_name;		/* Group name.	*/
    char *gr_passwd;	/* Password.	*/
    gid_t gr_gid;		/* Group ID.	*/
    char **gr_mem;		/* Member list.	*/
  } group;

#ifdef __cplusplus
extern "C"
{
#endif

/* Search for an entry with a matching group ID.  */
group* getgrgid (gid_t __gid);

#ifdef __cplusplus
}
#endif

#endif /* grp.h  */
